package com.seatel.mobilehall.ui.login.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.login.model.ResetPasswordModel

interface SignUpInteractor {

    interface View {

        fun onRequestCodeSucceed(resetPassword: ResetPasswordModel)
        fun onRequestCodeFailed(error: VolleyError)
    }

    interface Presenter {

        fun onRequestCode(
            phoneNumber: String,
            email: String,
            type: String,
            version: String,
            newPhoneNumber: String
        )
    }
}